# OSGeo::FDO::Common::Xsl::XslTransformer Class Reference
[OSGeo::FDO::Common::Xsl]

Inheritance diagram for OSGeo::FDO::Common::Xsl::XslTransformer:

[legend]

List of all members.

## Detailed Description

XslTransformer provides a way to execute an XSL stylesheet on an XML document.

()

## Public Member Functions
__property OSGeo::FDO::Common::Xml::XmlReader * | get_InDoc ()
| Gets the document being transformed.
__property OSGeo::FDO::Common::Io::IoTextWriter * | get_Log ()
| Gets the input logging object.
__property OSGeo::FDO::Common::Xml::XmlWriter * | get_OutDoc ()
| Gets the output document.
__property OSGeo::FDO::Common::DictionaryElementCollection * | get_Parameters ()
| Gets the list of parameters that will be passed to the stylesheet by Transform(). The caller can add parameters to this list or modify/delete existing parameters. The parameter list is empty when this class is constructed. Parameter values must be in XPath syntax. Therefore, literal values must be enclosed in single quotes.
__property OSGeo::FDO::Common::Xml::XmlReader * | get_Stylesheet ()
| Gets the XSL Stylesheet.
__property System::Void | set_InDoc (OSGeo::FDO::Common::Xml::XmlReader *inDoc)
| Sets the document to transform.
__property System::Void | set_Log (OSGeo::FDO::Common::Io::IoTextWriter *outDoc)
| Sets the input logging object.
__property System::Void | set_OutDoc (OSGeo::FDO::Common::Xml::XmlWriter *outDoc)
| Sets the output document.
__property System::Void | set_Stylesheet (OSGeo::FDO::Common::Xml::XmlReader *stylesheet)
| Sets the XSL stylesheet.
System::Void | Transform ()
| Performs the transformation.
| XslTransformer (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs an XslTransformer based on an unmanaged instance of the object.
| XslTransformer (OSGeo::FDO::Common::Xml::XmlReader *inDoc, OSGeo::FDO::Common::Xml::XmlReader *stylesheet, OSGeo::FDO::Common::Xml::XmlWriter *outDoc, OSGeo::FDO::Common::Io::IoTextWriter *log)
| Constructs an XSL Transformer object.
| XslTransformer (OSGeo::FDO::Common::Xml::XmlReader *inDoc, OSGeo::FDO::Common::Xml::XmlReader *stylesheet, OSGeo::FDO::Common::Xml::XmlWriter *outDoc)
| Constructs an XSL Transformer object.
| XslTransformer (OSGeo::FDO::Common::Xml::XmlReader *inDoc, OSGeo::FDO::Common::Xml::XmlReader *stylesheet)
| Constructs an XSL Transformer object.
| XslTransformer (OSGeo::FDO::Common::Xml::XmlReader *inDoc)
| Constructs an XSL Transformer object.
| XslTransformer ()
| Constructs an XSL Transformer object.